Package com.avaya.clientservices.call.conference

## Interface Participant

- All Known Subinterfaces:
    `ActiveParticipant`, `DroppedParticipant`, `MessagingParticipant`, `PendingParticipant`

      public interface Participant

  Interface representing a conference participant.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(ParticipantListener listener)` | Adds a new `ParticipantListener` to the participant.
    `java.lang.String` | `getAddress()` | Returns a participant's network-provided address, as known to the conferencing system.
    `MatchedContactsWithMatchLevel` | `getAllPossibleContactMatches()` | Deprecated. THIS METHOD WILL BE REMOVED IN RELEASE VERSION 3.3.
    `Contact` | `getBestContactMatch()` | Deprecated. THIS METHOD WILL BE REMOVED IN RELEASE VERSION 3.3.
    `java.lang.String` | `getDisplayName()` | Returns a participant's network-provided display name, as known to the conferencing system.
    `java.lang.String` | `getParticipantId()` | Returns a participant's Id, as known to the conferencing system.
    `boolean` | `isLocalUser()` | Indicates whether the participant is local user.
    `void` | `removeListener​(ParticipantListener listener)` | Removes a `ParticipantListener` from the participant.
    `void` | `sendPrivateChatMessage​(java.lang.String message, SendMessageCompletionHandler handler)` | Sends a private message to this participant.

- - ### Method Detail

    - #### addListener

          void addListener​(ParticipantListener listener)

      Adds a new `ParticipantListener` to the participant.
      Parameters:
        `listener` - Listener instance that should be added to the participant.
      See Also:
        `removeListener(ParticipantListener listener)`

    - #### removeListener

          void removeListener​(ParticipantListener listener)

      Removes a `ParticipantListener` from the participant.
      Parameters:
        `listener` - Listener instance that is removed from the participant.
      See Also:
        `addListener(ParticipantListener listener)`

    - #### getAddress

          java.lang.String getAddress()

      Returns a participant's network-provided address, as known to the conferencing system.
      Returns:
        String value of the participant's network-provided address.

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns a participant's network-provided display name, as known to the conferencing system.
      Returns:
        String value of the participant's network-provided display name.

    - #### getParticipantId

          java.lang.String getParticipantId()

      Returns a participant's Id, as known to the conferencing system.
      Returns:
        Sting value of the Participant's Id.

    - #### isLocalUser

          boolean isLocalUser()

      Indicates whether the participant is local user.
      Returns:
        true if the participant is local user, false otherwise.

    - #### getBestContactMatch

          @Deprecated
          Contact getBestContactMatch()

      Deprecated.
      THIS METHOD WILL BE REMOVED IN RELEASE VERSION 3.3. Use `ContactService.resolveContacts(ResolveContactsRequest)` instead.
      Returns the best contact match.
      Returns:
        the best contact match, null if there is no match.

    - #### getAllPossibleContactMatches

          @Deprecated
          MatchedContactsWithMatchLevel getAllPossibleContactMatches()

      Deprecated.
      THIS METHOD WILL BE REMOVED IN RELEASE VERSION 3.3. Use `ContactService.resolveContacts(ResolveContactsRequest)` instead.
      Returns a list of all possible contact matches.
      Returns:
        all possible contact matches. A null pointer if no match is found.

    - #### sendPrivateChatMessage

          void sendPrivateChatMessage​(java.lang.String message,
                                      SendMessageCompletionHandler handler)

      Sends a private message to this participant.
      Parameters:
        `message` - Chat message.
        `handler` - Object that wants to learn about the result of the operation, i.e., whether it was successful.